Subject: Re: Crash using 1.1.1
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 17 May 2000 15:37:30 -0400

I think that I have fixed this problem in the most recent snapshot.
If you could check it out at:

http://sourceware.cygnus.com/cygwin/snapshots/

I'd appreciate it.  If this snapshot works, it will become Cygwin v1.1.2.

cgf

On Tue, May 16, 2000 at 12:44:54PM -0400, Chris Faylor wrote:
>I've duplicated this crash and am attempting to fix it.
>
>I hate Windows 95.
>
>cgf
>
>On Mon, May 15, 2000 at 02:49:31PM -0700, Ken Coleman wrote:
>>I upgraded to the 1.1.1 version of the DLL (using "setup cygwin") last
>>night, and now I'm getting a crash as I exit RXVT.  This is the non-X
>>RXVT.  The crash happens after I type "exit", and it doesn't always
>>happen - maybe 85% of the time.  Unfortunately, I can not *ever* get it
>>to crash under GDB or under strace, so the information I have for you
>>is fairly limited.  It has never dumped a .stackdump file either.
>>Here's the data from the dialog:
>>
>>--------------------
>>RXVT caused an invalid page fault in
>>module USER.EXE at 0010:00003b6d.
>>Registers:
>>EAX=00000001 CS=16ff EIP=00003b6d EFLGS=00000286
>>EBX=16ff3b6d SS=3d47 ESP=00008806 EBP=6100b283
>>ECX=00000014 DS=166f ESI=00000000 FS=50c7
>>EDX=00010000 ES=0187 EDI=00000000 GS=0000
>>Bytes at CS:EIP:
>>89 46 e6 89 56 e8 66 81 7e e6 02 01 00 00 75 30 
>>Stack dump:
>>50c70187 01020187 00000000 00306104 085f0e64 3d170000
>>aac46107 00000001 01198842 000016ff 00ff0000 ffff0000
>>0000ffff 0002465f 011e0000 0028889c 
>>--------------------
>>
>>OS - Win98SE
>>RAM - 256MB
>>lots of HD space
>>basically a stock 1.1.0 install from Internet, then
>>upgraded to 1.1.1
>>
>>Any help is greatly appreciated.  Everything was working perfectly with
>>1.1.0, so I don't think it's any problem with my setup.  If you need
>>it, I can supply the output of "cygcheck" - I just don't think it will
>>help.
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]

-- 
[email-masked]                        Cygnus Solutions, a Red Hat company
http://sourceware.cygnus.com/         http://www.redhat.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]